package org.holer.server.constant;

public enum HolerType
{
  HTTP("http"),
  HTTPS("https"),
  SSH("ssh"),
  TELNET("telnet"),
  DATABASE("data base"),
  RDESKTOP("remote desktop"),
  TCP("tcp");

  
  private String type;

  
  HolerType(String type) { this.type = type; }

  public String value() { return this.type; }

  public static boolean isValid(String value) {
    for (HolerType type : values()) {
      
      if (type.value().equals(value))
      {
        return true;
      }
    } 
    return false;
  }
}
